<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Ejercicio 8</title>
</head>
<body>
	<script type="text/javascript">
		class Person {
			constructor(firstname, lastname) {
			    this._firstname = firstname;
			    this._lastname = lastname;
			  }

			  get firstname() {
			    return this._firstname;
			  }

			  set firstname(name) {
			    this._firstname = name;
			  }

			  get lastname() {
			    return this._lastname;
			  }

			  set lastname(name) {
			    this._lastname = name;
			  }
			}

		let person = new Person ('John', 'Doe');
		console.log(person.firstname, person.lastname);

		person.firstname = 'Foo';
		person.lastname = 'Bar';

		console.log(person.firstname, person.lastname);
		
	</script>
</body>
</html>